Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.persistence
Enum DiscriminatorType

    java.lang.Object
      java.lang.Enum<DiscriminatorType>
          javax.persistence.DiscriminatorType

All Implemented Interfaces:
  Serializable, Comparable<DiscriminatorType>

    public enum DiscriminatorType

extends Enum<DiscriminatorType>

Defines supported types of the discriminator column

Author:
  Emmanuel Bernard

Enum Constant Summary
`CHAR` Single character as the discriminator type
`INTEGER` Integer as the discriminator type
`STRING` String as the discriminator type

Method Summary
`static DiscriminatorType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DiscriminatorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STRING

    public static final DiscriminatorType STRING

  String as the discriminator type

### CHAR

    public static final DiscriminatorType CHAR

  Single character as the discriminator type

### INTEGER

    public static final DiscriminatorType INTEGER

  Integer as the discriminator type

Method Detail

### values

    public static final DiscriminatorType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(DiscriminatorType c : DiscriminatorType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static DiscriminatorType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD